Developers
V1CommunityBrowse

Search and page through visible clubs, events or challenges

GET
/v1/community/browse

Query Parameters

q?string
Lengthlength <= 80
Default""
cursor?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
limit?integer
Range1 <= value <= 50
Default20
kind*string

Value in

  • "clubs"
  • "events"
  • "challenges"
category?string

Value in

  • "general"
  • "walking"
  • "healthy_eating"
  • "support"
  • "workplace"
clubId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

curl -X GET "https://example.com/v1/community/browse?kind=clubs"
{  "clubs": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "title": "string",      "summary": "string",      "coverImage": {        "url": "http://example.com",        "alt": "string",        "source": "ai_generated"      },      "memberCount": 0,      "membership": {        "joinedAt": "2019-08-24T14:15:22Z"      },      "category": "general",      "visibility": "public",      "liveChallengeCount": 0    }  ],  "events": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "clubId": "4836dcb0-4b52-43b6-8d75-7f08a8fbf3a0",      "title": "string",      "summary": "string",      "coverImage": {        "url": "http://example.com",        "alt": "string",        "source": "ai_generated"      },      "startsAt": "2019-08-24T14:15:22Z",      "endsAt": "2019-08-24T14:15:22Z",      "timezone": "string",      "venue": "string",      "joinCode": "string",      "expectedAttendees": 0,      "memberCount": 0,      "membership": {        "joinedAt": "2019-08-24T14:15:22Z"      }    }  ],  "challenges": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",      "clubId": "4836dcb0-4b52-43b6-8d75-7f08a8fbf3a0",      "title": "string",      "summary": "string",      "coverImage": {        "url": "http://example.com",        "alt": "string",        "source": "ai_generated"      },      "startsAt": "2019-08-24T14:15:22Z",      "endsAt": "2019-08-24T14:15:22Z",      "metric": "steps",      "rules": "string",      "memberCount": 0,      "enrollment": {        "participantId": "9f6624b5-5f99-42b6-899f-30f2b369cbd7",        "alias": "string",        "joinedAt": "2019-08-24T14:15:22Z",        "countingFrom": "2019-08-24T14:15:22Z",        "shareLeaderboard": true,        "sharePublicDisplay": true,        "steps": 0,        "measuredAt": "2019-08-24T14:15:22Z",        "provisional": true,        "rewardEligible": false      },      "provisional": true,      "rewardEligible": false    }  ],  "nextCursor": "53a4a333-2825-45a4-80d2-5f430d088f36"}